Get file metadata
curl --request GET \
--url https://api.egp.scale.com/v5/files/{file_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v5/files/{file_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v5/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"size": 123,
"md5_checksum": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"type": "user",
"object": "identity"
},
"object": "file",
"tags": {},
"duration_seconds": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Get file metadata
Retrieve a single file’s metadata by id.
Returns the file record (id, filename, MIME type, size, tags, and related fields) but not the file’s bytes; use the content endpoint to download the bytes.
GET
/
v5
/
files
/
{file_id}
Get file metadata
Authorizations
Headers
Path Parameters
Response
Successful Response
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The identity that created the entity.
Show child attributes
Show child attributes
Allowed value:
"file"
